Summary: The Berkeley DB database library for C.
Name: db3
Version: 3.2.9
Release: 1
Source: http://www.sleepycat.com/update/%{version}/db-%{version}.tar.gz
Copyright: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
Berkeley DB is used by many applications, including Python and Perl, so this
should be installed on all systems.

Berkeley DB includes B+tree, Extended Linear Hashing, Fixed and Variable-length
record access methods, transactions, locking, logging, shared memory caching
and database recovery. DB supports C, C++, Java and Perl APIs.

This package contains command line tools for managing Berkeley DB databases.

%package devel
Summary: Development libraries/header files for the Berkeley DB library.
Group: System Environment/Libraries
Requires: db3 = %{version}
Prefix: %{_prefix}

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
Berkeley DB includes B+tree, Extended Linear Hashing, Fixed and Variable-length
record access methods, transactions, locking, logging, shared memory caching
and database recovery. DB supports C, C++, Java and Perl APIs.

This package contains the header files, libraries, and documentation for
building programs which use Berkeley DB.

%prep
%setup -q -n db-%{version}

%build

cd build_unix

CFLAGS="$RPM_OPT_FLAGS" ../dist/configure --prefix=%{_prefix} --enable-compat185
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{bin,lib,include}

cd build_unix

make prefix=${RPM_BUILD_ROOT}%{_prefix} install
set -x
( cd ${RPM_BUILD_ROOT}
  mkdir -p .%{_includedir}/db3
  mv .%{_prefix}/include/*.h .%{_includedir}/db3
  ln -sf db3/db.h .%{_includedir}/db.h
  ln -sf db3/db_185.h .%{_includedir}/db_185.h
  ln -sf db3/db_cxx.h .%{_includedir}/db_cxx.h
)
set +x


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,wheel)
%doc LICENSE README docs/images 
%doc	docs/utility

%{_bindir}/db*_archive
%{_bindir}/db*_checkpoint
%{_bindir}/db*_deadlock
%{_bindir}/db*_dump
%{_bindir}/db*_load
%{_bindir}/db*_printlog
%{_bindir}/db*_recover
%{_bindir}/db*_stat
%{_bindir}/db*_upgrade
%{_bindir}/db*_verify

%files devel
%defattr(-,root,wheel)
%doc	docs/api_c docs/api_cxx docs/api_java docs/api_tcl docs/index.html
%doc	docs/ref docs/sleepycat
%doc	examples_c examples_cxx
%{_libdir}/libdb.a
%{_includedir}/db3/db.h
%{_includedir}/db3/db_185.h
%{_includedir}/db3/db_cxx.h
%{_includedir}/db.h
%{_includedir}/db_185.h
%{_includedir}/db_cxx.h

%changelog
* Thu Mar 29 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOSX based on db-3.2.9
